<?php

function hlavicka($title) {
?>
  <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta name="description" content="rocnikovy projekt" />
  <meta name="keywords" content="forum, rocnikovy projekt, uniba, matfyz" />
  <meta name="copyright" content="2008, Sloboda Igor" />
  <meta name="author" content="Sloboda Igor" />
  <meta name="robots" content="index, follow" />
	<title><?php echo $title; ?></title>
	<?php
    if ($_SESSION['skin']==1) { echo '<link href="css.css" rel="stylesheet" type="text/css" media="all"/>';}
	  elseif ($_SESSION['skin']==2) { echo '<link href="css2.css" rel="stylesheet" type="text/css" media="all"/>';}
	  elseif ($_SESSION['skin']==3) { echo '<link href="css3.css" rel="stylesheet" type="text/css" media="all"/>';}
	  else { echo '<link href="css.css" rel="stylesheet" type="text/css" media="all"/>';}
	?>
</head>

<?php
}

function navig_profil($forum) {
?>
  <body>
  <div id="poz">
    <?php include('navigacia.php'); ?>
    <div id="main">
    <div id="main_pridaj">
      <?php 
        if ($forum==1 && isset($_GET['f'])) {
          echo '<a href="tema_pridat.php?f='.$_GET['f'].'" class="odkaz">Pridat temu</a>';
        }
        if ($forum==1 && isset($_GET['f']) && isset($_GET['t'])) {
          echo '<a href="prispevok_pridat.php?f='.$_GET['f'].'&t='.$_GET['t'].'" class="odkaz"> | Pridat prispevok</a>';
        }
      ?>
      
      
    </div>
      <div id="profil">
        <img src="obrazky/users/<?php echo $_SESSION['foto']; ?>" alt="nophoto" width="120"/><br/>
        <?php echo $_SESSION['meno'].' '.$_SESSION['priezvisko']; ?><br/>
        <a href="profil.php?f=<?php echo $_GET['f']; ?>&pr=<?php echo $_SESSION['id']; ?>" class="odkaz">Profil</a><br/>
        <a href="priatelia.php?f=<?php echo $_GET['f']; ?>" class="odkaz">Priatelia</a><br/>
        <a href="statistika.php?f=<?php echo $_GET['f']; ?>" class="odkaz">Štatistika</a><br/>
        <a href="nastavenia.php?f=<?php echo $_GET['f']; ?>" class="odkaz">Nastavenia</a><br/>
        <a href="hladat.php?f=<?php echo $_GET['f']; ?>" class="odkaz">Hľadaj</a><br/>
        <a href="zoznam.php?f=<?php echo $_GET['f']; ?>" class="odkaz">Zoznam používateľov</a>
        <form action="index.php"  method="post" name="form2">
          <input name="odhlasit" type="submit" value="Odhlásiť" class="" />
        </form>
      </div>
      <?php if ($forum==1) {echo '<div id="forum">';} else {echo '<div id="forum_x">';}?>
<?php
}

function overenie() {
  if (isset($_SESSION['nick']) && isset($_SESSION['meno'])) {} 
  else {
    echo '<div id="opravnenie">
          Je mi ľúto, ale nemáte požadované oprávnenia pre vstup na túto stránku..<br/>
          <a href="index.php" class="odkaz">Prihlásenie</a>
        </div>';
    exit();
  }
}

function spoj_s_db() {                  /*////////////////  Spojenie s databázou  ////////////////*/
    if ($link = mysql_pconnect/*('localhost', 'do1358800', 'dushkompania')*/('localhost','sloboda9','dush')) {
        if (mysql_select_db/*('do1358801db', $link)*/('sloboda9', $link)) {
            mysql_query("SET CHARACTER SET 'utf8'", $link); 
            return $link;
        } else {
            echo 'Nepodarilo sa vybrať databázu!';
            return false;
        }
    } else {
        echo 'NEpodarilo sa spojiť s databázovým serverom!';
        return false;
    }
}





function ov_uzivatela() {                        /*////////////////  Overí užívateľa kvôli prihláseniu  ////////////////*/
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM forum_pouzivatelia WHERE nick='" . $_POST['nick'] . "' AND heslo='" . $_POST['heslo'] . "'";
        $result = mysql_query($sql, $link);
        if ($result && (mysql_num_rows($result) >= 1) ) {
            $row = mysql_fetch_assoc($result);
            mysql_free_result($result);
            return $row;
            
        } 
    elseif (empty($_POST['nick']) && empty($_POST['heslo'])) {
            return false;
        }
        
        
    } else {
          echo 'Bohužiaľ, údaje z databáz sa nepodarilo načítať';
        return false;
    }
}

function pocet($coho) {     /////////////////////////////////// funkcie na statisticke udaje ////////////////////////////
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM ".$coho;
        $result = mysql_query($sql, $link);
        $pocet = mysql_num_rows($result);
    }
    echo $pocet;
}

function pocet2($coho) {
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM ".$coho." WHERE id_fora='".$_SESSION['id']."'";
        $result = mysql_query($sql, $link);
        $pocet = mysql_num_rows($result);
    }
    echo $pocet;
}

function pocet3($coho) {
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM ".$coho." WHERE autor='".$_SESSION['nick']."'";
        $result = mysql_query($sql, $link);
        $pocet = mysql_num_rows($result);
    }
    echo $pocet;
}

function pocet4($coho,$idcko) {
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM ".$coho." WHERE id_fora='".$idcko."'";
        $result = mysql_query($sql, $link);
        $pocet = mysql_num_rows($result);
    }
    echo $pocet;
}

function pocet5($coho,$idcko) {
    if ($link = spoj_s_db()) {
        $sql = "SELECT * FROM ".$coho." WHERE id_temy='".$idcko."'";
        $result = mysql_query($sql, $link);
        $pocet = mysql_num_rows($result);
    }
    echo $pocet;
}

function meno_ok($meno) {        /*////////////////  Funkcia na overovanie vstupov vo formulároch  ////////////////*/
  return strlen($meno) > 5 && strlen($meno) < 30;
}

function nick_ok($nick) {
  return strlen($nick) > 4 && strlen($nick) < 21;
}

function heslo_ok($heslo) {
  return strlen($heslo) > 4 && strlen($heslo) < 21;
}

function mail_ok($mail) {
  return strlen($mail) > 5 && strlen($mail) < 31;
}

?>
